<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/mailcentre/class/view/mailcentresendmessageview.class.php" );
	
	class MailCentreSendMail extends AdminAction
	{
        function MailCentreSendMail( $actionInfo, $request )
        {
            $this->AdminAction( $actionInfo, $request );

            $this->requireAdminPermission( "manage_plugin_admincentre" );                
        }
        
		function perform()
		{
			$this->_view = new MailCentreSendMessageView( $this->_blogInfo );
			$this->setCommonData();

            $this->requireAdminPermission( "manage_plugin_admincentre" );
			
			return( true );
		}
	}
?>